org.apache.fop.pdf

## Class CCFFilter

- java.lang.Object
- - org.apache.fop.pdf.PDFFilter
  - - org.apache.fop.pdf.NullFilter
    - - org.apache.fop.pdf.CCFFilter

    public class CCFFilter
    extends NullFilter

CCF Filter class. Right now it is just used as a dummy filter flag so we can write TIFF images to the PDF. The encode method just returns the data passed to it. In the future an actual CCITT Group 4 compression should be added to the encode method so other images can be compressed.

### Constructor Summary

Constructors
Constructor and Description
`CCFFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PDFObject` `getDecodeParms()` return a parameter dictionary for this filter, or null
`String` `getName()` return a PDF string representation of the filter, e.g.
`void` `setDecodeParms(PDFObject decodeParms)` Sets the CCF decoding parameters

### Methods inherited from class org.apache.fop.pdf.NullFilter

`applyFilter`

### Methods inherited from class org.apache.fop.pdf.PDFFilter

`isApplied, isASCIIFilter, setApplied`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CCFFilter

    public CCFFilter()

### Method Detail

#### getName

    public String getName()

return a PDF string representation of the filter, e.g. /FlateDecode

Overrides:
  `getName` in class `NullFilter`
Returns:
  the filter PDF name

#### getDecodeParms

    public PDFObject getDecodeParms()

return a parameter dictionary for this filter, or null

Overrides:
  `getDecodeParms` in class `NullFilter`
Returns:
  the decode params for the filter

#### setDecodeParms

    public void setDecodeParms(PDFObject decodeParms)

Sets the CCF decoding parameters

Parameters:
  `decodeParms` - The decoding parameters